Bug 334933 - Free Transform tool handles are very hard to click
Summary: Free Transform tool handles are very hard to click
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.8.2
Platform: unspecified Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 09:46 UTC by bartosz.styperek
Modified: 2014-06-06 12:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bartosz.styperek 2014-05-17 09:46:06 UTC
Size of transform handles is ok, but when I try to use proportional scaling (click each of corners of free transform gizmo), it is really hard to click pixel perfect to make it work. 
I wish there was bigger margin for clicking around corners of free transform gizmo.

Reproducible: Always

Steps to Reproduce:
1. Use free transform tool on layer
2. Try click on corner
3.
Actual Results:  
It is hard to click :)
Comment 1 Dmitry Kazakov 2014-06-06 12:50:38 UTC
Git commit 6adca4ab4da2a25ef807b59f58733ecc5b7477ba by Dmitry Kazakov.
Committed on 06/06/2014 at 12:50.
Pushed by dkazakov into branch 'krita-testing-kazakov'.

[FEATURE] Make the grabbing area for Transform Tool handles twice lager than the handles themselves
CCMAIL:kimageshop@kde.org

M  +6    -4    krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +2    -0    krita/plugins/tools/tool_transform2/kis_tool_transform.h

http://commits.kde.org/calligra/6adca4ab4da2a25ef807b59f58733ecc5b7477ba
Comment 2 Dmitry Kazakov 2014-06-06 12:50:56 UTC
Git commit 01d1d26fc9dcd0d444442add3b78b4c1c73f677c by Dmitry Kazakov.
Committed on 06/06/2014 at 12:50.
Pushed by dkazakov into branch 'master'.

[FEATURE] Make the grabbing area for Transform Tool handles twice lager than the handles themselves
CCMAIL:kimageshop@kde.org

M  +6    -4    krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +2    -0    krita/plugins/tools/tool_transform2/kis_tool_transform.h

http://commits.kde.org/calligra/01d1d26fc9dcd0d444442add3b78b4c1c73f677c